//
//  ViewController.m
//  ex_addSubview_UIImageView
//
//  Created by yoshiyuki oshige on 2014/01/25.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    /* カエルを表示する */
    // カエルのイメージビューのframe（表示位置と縦横サイズ）を決める
    CGRect rect1 = CGRectMake(90, 50, 100, 100);
    // カエルのイメージデータを設定したイメージビューを作る
    UIImageView *frogView = [[UIImageView alloc] initWithFrame:rect1];
    // カエルのイメージビューの表示モードの設定
    frogView.contentMode = UIViewContentModeScaleAspectFit;
    // カエルのイメージデータを作る
    UIImage *frogImage = [UIImage imageNamed:@"frog1.png"];
    //イメージビューにカエルのイメージを設定する
    frogView.image = frogImage;
    // カエルのイメージビューをビューに追加する
    [self.view addSubview:frogView];
    
    /* アザラシを表示する */
    // アザラシのイメージビューのframe（表示位置と縦横サイズ）を決める
    CGRect rect2 = CGRectMake(90, 160, 100, 100);
    // アザラシのイメージデータを設定したイメージビューを作る
    UIImageView *azarashiView = [[UIImageView alloc] initWithFrame:rect2];
    // アザラシのイメージビューの表示モードの設定
    azarashiView.contentMode = UIViewContentModeScaleAspectFit;
    // アザラシのイメージデータを作る
    UIImage *azarashiImage = [UIImage imageNamed:@"azarashi.png"];
    //イメージビューにアザラシのイメージを設定する
    azarashiView.image = azarashiImage;
    // アザラシのイメージビューをビューに追加する
    [self.view addSubview:azarashiView];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
