//
//  ViewController.m
//  ex_addSubview_UIImageView_for
//
//  Created by yoshiyuki oshige on 2014/01/27.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // イメージビューを保存する変数
    UIImageView *imageView;
    // イメージデータを作る
    UIImage *frogImage = [UIImage imageNamed:@"frog1.png"];
    UIImage *azarashiImage = [UIImage imageNamed:@"azarashi.png"];
    
    // イメージの縦横表示サイズ
    int w = 70; // 幅
    int h = 70; // 高さ
   
    // イメージビューを４列５行に並べて表示する
    for (int i=0; i<4; i++) {
        for (int j=0; j<5; j++) {
            if((i+j)%3) {
                // カエルのイメージを設定したイメージビューを作る
                imageView = [[UIImageView alloc] initWithImage:frogImage];
            }else{
                // アザラシのイメージを設定したイメージビューを作る
                imageView = [[UIImageView alloc] initWithImage:azarashiImage];
            }
            // イメージビューの表示位置と縦横サイズを決める
            imageView.frame = CGRectMake(10+(w+5)*i, 50+(h+10)*j, w, h);
            // イメージビューをビューに追加する
            [self.view addSubview:imageView];
        }
    }
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
