//
//  ViewController.m
//  ex_addSubview_longPress
//
//  Created by yoshiyuki oshige on 2014/02/02.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
// ビューのロングプレスジェスチャーレコグナイザとアクション接続する
- (IBAction)longPressView:(UILongPressGestureRecognizer *)sender;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// 画面を長押しすると実行される
- (IBAction)longPressView:(UILongPressGestureRecognizer *)sender {
    // ハートのイメージビューを作る
    UIImageView *heartView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 0, 60, 60)];
    // ハートのイメージデータを作る
    UIImage *heartImage = [UIImage imageNamed:@"heart.png"];
    // イメージビューにハートのイメージを設定する
    heartView.image = heartImage;
    // 長押している座標を調べる
    CGPoint longPressLoc = [sender locationInView:self.view];
    // ハートのイメージビューの中心座標を長押ししている座標にする
    heartView.center = longPressLoc;
    // ハートのイメージビューをビューに表示する
    [self.view addSubview:heartView];
}

@end
