//
//  ViewController.m
//  ex_addSubview_photoCard
//
//  Created by yoshiyuki oshige on 2014/02/08.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
	/* フォトカードを作る */
    CGRect cardSize = CGRectMake(0, 0, 240, 240);
    UIView *photoCard = [[UIView alloc] initWithFrame:cardSize];
    photoCard.backgroundColor = [UIColor orangeColor];
    
    /* 写真を作る */
    CGRect photoFrame = CGRectMake(10, 10, 220, 180);
    UIImageView *photo = [[UIImageView alloc] initWithFrame:photoFrame];
    photo.contentMode = UIViewContentModeScaleAspectFill;
    photo.clipsToBounds = YES; // ビューからはみ出た部分をクリッピングする
    photo.image = [UIImage imageNamed:@"IMG_3020b.jpg"];
    
    /* ラベルを作る */
    CGRect labelFrame = CGRectMake(10, 200, 220, 24);
    UILabel *label = [[UILabel alloc] initWithFrame:labelFrame];
    label.textAlignment = NSTextAlignmentCenter;
    label.font = [UIFont fontWithName:@"Hiragino Mincho ProN W6" size:20];
    label.textColor = [UIColor whiteColor];
    label.text = @"シャミちゃん";
    
    /* フォトカードに写真とラベルを追加する */
    [photoCard addSubview:photo];
    [photoCard addSubview:label];
    
    /* フォトカードを画面の中央に表示する */
    photoCard.center = self.view.center;
    [self.view addSubview:photoCard];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
